package decouto.garble; // for e-z x-s

import javax.comm.*;
import java.util.*;
import java.io.*;

class App {

  public static void test() {
    byte b = (byte) 0xff;
    System.out.println("byte 0xff: " + b);

    for (int i = 0; i < 256; i++) {
      System.out.println(i + "=" + Integer.toHexString(i));
    }

    b = -1;
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
    
  }

  public static void main(String argv[]) {
    // test();
    new App();    
  }

  App() {
    
    System.out.println("go!");
    try {System.in.read();
    } catch (IOException e) {}
    
    // find the printer port
    CommPortIdentifier port_id = null;
    Enumeration port_list = CommPortIdentifier.getPortIdentifiers();
    while(port_list.hasMoreElements()) {
      port_id = (CommPortIdentifier) port_list.nextElement();
      if (port_id.getPortType() == CommPortIdentifier.PORT_SERIAL) {
	if (port_id.getName().equals("Modem_Port")) {
	  break; // found our port
	}
      }
    }
    SerialPort port = null;
    try {
      port = (SerialPort) port_id.open("doug's app", 2000);
    }
    catch (PortInUseException e) {
      System.out.println("in use...");
    }

    try {
      port.setSerialPortParams(9600, SerialPort.DATABITS_8,
			       SerialPort.STOPBITS_1, SerialPort.PARITY_NONE);
    }
    catch (UnsupportedCommOperationException e) {
      System.out.println("Can't config port");
    }
    
    System.out.println("port open and configured");
/*
    InputStream is = null;
    try {
      is = port.getInputStream();
    }
    catch (IOException e) {
      System.out.println("can't get input stream");
    }

    byte buf[] = new byte[1];

    try {
      for (int i = 0; i < 400; i++) {
	int num = is.read(buf);
	if (num > 0) {
	  System.out.println(buf[0]);
	}
      }
    }
    catch (IOException e) {
      System.out.println("can't read char");
    }
*/

		stream_phys pl = null;
    try {
      pl = new stream_phys(port.getInputStream(), port.getOutputStream());
    }
    catch (IOException e) {
      System.out.println("can't access port streams: " + e.getMessage());
    }

    link_layer ll = new link_layer(pl, 2);
    
 /*
    packet p = new packet();
    p.sz = 0;
    p.id = packet.pid_product_rqst;
    try {
    	System.out.println("trying to send pak: " + p.hex_dump());
      ll.put_packet(p);
     }
     catch (timeout e) { }
     catch (not_possible e) {
     	 System.out.println("can't send pak " + e.getMessage());   	 
     }
     try {
       ll.get_packet(p);
     }
    catch (timeout e) { }
    catch (not_possible e) {
      System.out.println("can't rcv pak " + e.getMessage());
    }

    System.out.println("got prod data pak: " + p.hex_dump());
    */

    application_layer al = new application_layer(ll);
    
    /*
    System.out.println("shutting off gps...");
    try {
      al.turn_off_gps();
    }
    catch (not_possible e) {
      System.out.println("not_possible: " + e.getMessage());
    }
    catch (timeout e) { }
    */
    
    System.out.println("getting waypts");
    Vector v = null;
    try {
      v = al.get_waypoints();
    }
    catch (not_possible e) {
      System.out.println("not_possible: " + e.getMessage());
    }
    catch (timeout e) { }
    
    if (v != null) {
    	for (int i = 0; i <  v.size(); i++) {
    		basic_waypt wp = (basic_waypt) v.elementAt(i);
    		System.out.println(wp.toString());
    	}
    }
    else {
    	System.out.println("v is null -- fuck!");
    }
    
    System.out.println("getting product data");
    product_data pd = null;
    try {
      pd = al.get_product_data();
    }
    catch (not_possible e) {
      System.out.println("not_possible 2: " + e.getMessage());
    }
    catch (timeout e) { }
    
    if (pd != null) {
      System.out.println(pd.toString());
      for (int i = 0; i <  al.m_prot_data_arr.size(); i++) {
	protocol_data pd2 = (protocol_data) al.m_prot_data_arr.elementAt(i);
	System.out.println(pd2.toString());
      }
    }
    else {
      System.out.println("pd is null -- fuck!");
    }
    
     

    System.out.println("done.");

try {
    System.in.read();
} 
catch (IOException e) { }
  }
}
      
