/*
 * basic_waypt.java
 * Douglas S. J. De Couto
 * 2 September 1999
 */

/*
 * Copyright (C) 1999 Douglas S. J. De Couto
 * <decouto@lcs.mit.edu>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package decouto.garble;

/** Stores the data common to most Garmin waypoint types.
    @author Douglas S. J. De Couto <a href="mailto:decouto@lcs.mit.edu">decouto@lcs.mit.edu</a>
    @version 2 September 1999 0.1
    @see decouto.garble.application_layer */
class basic_waypt {
  /** waypoint name */
  String id;
  /** waypoint position 
      @see decouto.garble.semicircle_pos */
  semicircle_pos pos;
  /** user comment for waypoint */
  String comment;

  public String toString() {
    // requires: id, pos, and comment fields all non-null
    return id + " [" + pos.lat + " " + pos.lon + "] " + comment;
  }
}
