/*
 * debug.java
 * Douglas S. J. De Couto
 * 27 August 1999
 */

/*
 * Copyright (C) 1999 Douglas S. J. De Couto
 * <decouto@lcs.mit.edu>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

/*
 * Class for handling debug info in garble
 */

package decouto.garble;

import java.io.*;

/** Used for logging debugging and trace data from the Garble package. 
    @author Douglas S. J. De Couto <a href="mailto:decouto@lcs.mit.edu">decouto@lcs.mit.edu</a>
    @version 27 August 1999 0.1 */
class debug {
  /** true if we want to log debug data */
  static final boolean debug_enabled = true;
  
  /** sends msg to the debug log without appending a newline */
  static void print(String msg) {
    System.out.print(msg);
  }

  /** sends msg to the debug log, appending a newline */
  static void println(String msg) {
    System.out.println(msg);
  }
}
