/*
 * semicircle_pos.java
 * Douglas S. J. De Couto
 * 2 September 1999
 */

/*
 * Copyright (C) 1999 Douglas S. J. De Couto
 * <decouto@lcs.mit.edu>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package decouto.garble;

/** Represents a global position in the semicircle format.  2^31
    semicircles equal 180 degrees.  Used by the application layer.
    @author Douglas S. J. De Couto <a href="mailto:decouto@lcs.mit.edu">decouto@lcs.mit.edu</a>
    @version 2 September 1999 0.1 
    @see decouto.garble.application_layer */
class semicircle_pos {
  /** latitude in semicircles; positive is North, negative is South */
  public int lat;
  /** longitude in semicircles; positive is East, negative is West */
  public int lon;
}
