/*
 * track_point.java
 * Douglas S. J. De Couto
 * 2 September 1999
 */

/*
 * Copyright (C) 1999 Douglas S. J. De Couto
 * <decouto@lcs.mit.edu>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package decouto.garble;

import java.util.Date;

/** Represents one element of a GPS track.  Used by the application
    layer. 
    @author Douglas S. J. De Couto <a href="mailto:decouto@lcs.mit.edu">decouto@lcs.mit.edu</a>
    @version 2 September 1999 0.1 
    @see decouto.garble.application_layer */
class track_point {
  /** location of the track point.
      @see decouto.garble.semicircle_pos */
  semicircle_pos pos;
  /** when the track point was recorded */
  Date when;
  /** true iff this point is the first point on a distinct track. */
  boolean new_track;
}
